
class Pip:
    def __init__(self):
        self.package_name = None

    def create(self):
        print("pip objesi oluşturuldu")
        return self

    def dex(self, desc):
        print("Açıklama eklendi:", desc)

    def cls(self, *args):
        print("Ekler eklendi:", args)

    def vrs(self, ver):
        print("Sürüm ayarlandı:", ver)

    def pack_name(self, name):
        self.package_name = name
        print("Paket adı ayarlandı:", name)

    def start_create(self):
        token = getpass.getpass("PyPI API Token giriniz: ")
        print(f"Paket oluşturuldu ve PyPI'ye yüklendi! (Token: {token})")

pip = Pip()
